Index: branch/Antourou/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/Antourou/Emb_App/EmbM32C87App.hwp	(revision 526)
+++ branch/Antourou/Emb_App/EmbM32C87App.hwp	(revision 527)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\tp_ifo6_2018_antourou\Emb_App" "E:\tp_ifo6_2018_antourou\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2016_antourou\Emb_App" "E:\tp_info6_2016_antourou\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\tp_ifo6_2018_antourou\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\tp_ifo6_2018_antourou\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\tp_ifo6_2018_antourou\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\tp_ifo6_2018_antourou\Emb_App\Release" 
+"Debug" "E:\tp_info6_2016_antourou\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2016_antourou\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2016_antourou\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2016_antourou\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\tp_ifo6_2018_antourou\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\carte_io.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.c" "User" "C source file" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2016_antourou\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2016_antourou\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\tp_ifo6_2018_antourou\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\tp_ifo6_2018_antourou\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\tp_ifo6_2018_antourou\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\tp_ifo6_2018_antourou\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2016_antourou\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2016_antourou\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2016_antourou\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2016_antourou\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_ifo6_2018_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2016_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_ifo6_2018_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2016_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2016_antourou\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_ifo6_2018_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2016_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2016_antourou\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\tp_ifo6_2018_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2016_antourou\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\tp_ifo6_2018_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\can.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\mli.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\periph.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\tp_ifo6_2018_antourou\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2016_antourou\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2016_antourou\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/Antourou/Emb_App.hws
===================================================================
--- branch/Antourou/Emb_App.hws	(revision 526)
+++ branch/Antourou/Emb_App.hws	(revision 527)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\tp_ifo6_2018_antourou" "E:\tp_ifo6_2018_antourou\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2016_antourou" "E:\tp_info6_2016_antourou\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\tp_ifo6_2018_antourou\Emb_App" "E:\tp_ifo6_2018_antourou\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2016_antourou\Emb_App" "E:\tp_info6_2016_antourou\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]