Index: branch/daval/Emb_App.tws
===================================================================
--- branch/daval/Emb_App.tws	(revision 527)
+++ branch/daval/Emb_App.tws	(revision 528)
@@ -25,8 +25,8 @@
 "E:\tp_info6_2018_daval\Emb_App\Debug\sys_rom.inc" 125 125 1430 351 0 11 
 "E:\tp_info6_2018_daval\Emb_App\conf_noyau.cfg" 0 0 1430 351 0 7 
 "E:\tp_info6_2018_daval\Emb_App\crt0mr.a30" 0 0 1596 539 0 1 
-"E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
-"E:\tp_info6_2018_daval\bsp\lcd.c" -8 -30 1596 539 1 9 
+"E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_2018_daval\bsp\lcd.c" 0 0 1596 539 0 9 
 "E:\tp_info6_2018_daval\bsp\lcd.h" 100 100 1430 351 0 10 
 "E:\tp_info6_2018_daval\bsp\mli.c" 125 125 1430 351 0 5 
 "E:\tp_info6_2018_daval\bsp\periph.c" 50 50 1430 351 0 2 
Index: branch/daval/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/daval/Emb_App/SessionM32C_E8a_system.hsf	(revision 527)
+++ branch/daval/Emb_App/SessionM32C_E8a_system.hsf	(revision 528)
@@ -196,20 +196,20 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey1" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000001770" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000148" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2D3C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001396" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000008AC" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF007E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -224,12 +224,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "00000000007B0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000139C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -280,7 +280,7 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0008_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0009" "nbr_tour, 2, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0009_SCOPE" "Global," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0010" "feu_vert, 2, 0, P, Col, Bin, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0010" "feu_vert, 2, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0010_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0011" "nb_tour, 2, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0011_SCOPE" "Global," 
@@ -397,14 +397,14 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\tp_info6_2018_daval\bsp\lcd.c" 
 "E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_2018_daval\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_daval\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_daval\bsp\lcd.c" 
+"E:\tp_info6_2018_daval\Emb_App\Debug\mr308.inc" 
+"E:\tp_info6_2018_daval\Emb_App\Debug\sys_rom.inc" 
 "E:\tp_info6_2018_daval\bsp\periph.c" 
-"E:\tp_info6_2018_daval\Emb_App\Debug\mr308.inc" 
-"E:\tp_info6_2018_daval\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_2018_daval\bsp\lcd.h" 
-"E:\tp_info6_2018_daval\Emb_App\Debug\sys_rom.inc" 
 "E:\tp_info6_2018_daval\bsp\uart0.c" 
 "E:\tp_info6_2018_daval\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_2018_daval\bsp\radiocommande.c" 
@@ -455,5 +455,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 80030040 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 76163416 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/daval/Emb_App/programme_principal_etud.c
===================================================================
--- branch/daval/Emb_App/programme_principal_etud.c	(revision 527)
+++ branch/daval/Emb_App/programme_principal_etud.c	(revision 528)
@@ -226,21 +226,20 @@
 			switch(num_piste)				//Envoi des différentes consignes de vitesse en fonction du numero de la piste
 			{
 				case 1:	 vitesse_rapide= 70;
-						 vitesse_lente=30; 
+						 vitesse_lente=35; 
 			    break;
 						
-				case 2:  vitesse_rapide= 40;
-						 vitesse_lente=25;
+				case 2:  vitesse_rapide= 50;
+						 vitesse_lente=30;
 				break;
 						 
-				case 3:  vitesse_rapide= 40;		
-						 vitesse_lente=25;
+				case 3:  vitesse_rapide= 45;		
+						 vitesse_lente=30;
 				break;
 				case 4:  vitesse_rapide= 25;
 						 vitesse_lente=10;
 				break;
 			}
-			
 			if(cap<-30 || cap>30) 					//Gestion vitesse dans les virages
 			{
 				vitesse.data.val=vitesse_lente;
@@ -281,17 +280,17 @@
 			{
 				vitesse.data.val=0;
 				snd_dtq (CanTx,vitesse.msg);
-				dly_tsk(20);
+				dly_tsk(50);
 			}
 			while(Bp_M==1)
 			{
 				vitesse.data.val=var2_vitesse/10;
 				snd_dtq (CanTx,vitesse.msg);
-				dly_tsk(20);
+				dly_tsk(50);
 			}
 			dly_tsk(20);
 		}
-		dly_tsk(12);
+		dly_tsk(10);
 }
 
 void distance_bord()
@@ -319,7 +318,7 @@
 		distance_mesure=periph[ADDR('U')].val;
 		}
 		
-		dly_tsk(12);
+		dly_tsk(10);
 		
 	}
 }
@@ -347,7 +346,7 @@
 			cap=0;
 			snd_dtq (CanTx,commande.msg);
 		}
-		dly_tsk(15);
+		dly_tsk(10);
 	}
 }
 
@@ -379,7 +378,7 @@
 {
 	while(1)	
 	{
-		switch(capteur)				//aAffichage la couleur du capteur sur 
+		switch(capteur)				//Affichage la couleur du capteur sur 
 		{
 			case 0x5601 :
 				lcd_init();
@@ -465,7 +464,7 @@
         lcd_str("Chrono: ");
         lcd_str(car_tps);
 	}	
-	dly_tsk(15);
+	dly_tsk(10);
 	
 }
 
@@ -494,7 +493,7 @@
 	sta_tsk(ID_affichage_lcd);
 	while(1);
 
-}
+}
 
 void acqui()
 {
@@ -510,6 +509,8 @@
 	if(periph[ADDR('U')].val>2000 || periph[ADDR('U')].val==0)
 	{
 		LED_J=1;
+		
+		
 	}
 	else LED_J=0;
 	var2_vitesse = ad00;		// Potentiomètre de droite
Index: branch/daval/Emb_App/conf_noyau.cfg
===================================================================
--- branch/daval/Emb_App/conf_noyau.cfg	(revision 527)
+++ branch/daval/Emb_App/conf_noyau.cfg	(revision 528)
@@ -171,7 +171,7 @@
 	exinf	= 0x0;
 	start	= OFF;
 	phsatr	= OFF;
-	interval_counter	= 0x64;
+	interval_counter	= 0x32;
 	phs_counter	= 0x0;
 };
 