Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 533)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 534)
@@ -149,7 +149,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2F96" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2F9E" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001BB8" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000C08" 
@@ -171,8 +171,8 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF003C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FF0040" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000003235" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001BBE" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
@@ -322,9 +322,9 @@
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
-"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\bsp\periph.c" 
+"E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_lebanitou\bsp\lcd.h" 
 [TARGET_NAME]
@@ -373,5 +373,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 90576784 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91043176 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 533)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 534)
@@ -149,7 +149,7 @@
         while(1){
 			   comm_vit.data.id= 'V';
                comm_vit.data.rtr= 0; //indique une ?criture
-			    
+			   
 				
 			 	//forçage du vehicule à l'arrêt
 				if(Bp_G==1)
@@ -170,6 +170,14 @@
 					comm_vit.data.val= 10;
 					snd_dtq(CanTx,comm_vit.msg);
 				}
+				//feu tricolore
+		   	/*	if(feu==1)
+				{
+				  comm_vit.data.val= vitesse;
+				  snd_dtq(CanTx,comm_vit.msg);
+				  LED_R=0;	
+				}*/
+				
                 dly_tsk(20);
         }
 }
@@ -263,12 +271,13 @@
 					       
                         snd_dtq(CanTx,requete.msg);
                         mode=periph[ADDR('M')].val;                              
-                        numero= mode&0x000F;
+                        numero= mode&0x00FF;
+					//	feu=(mode&0x8000)>>15;
 	                    dly_tsk(15);
 }	
 }
 
-//mesure aberrante
+//mesure temps
 void temps()
 {
 CanFrame requete ;
@@ -330,7 +339,7 @@
 			   case 0x56:
 			   lcd_str("zone verte");
 			   break;
-			  case 0x4A:
+			   case 0x4A:
 			   lcd_str("zone jaune");
 			   break;
 			   case 0x52:
@@ -391,12 +400,12 @@
 		break;
 		case 3:
 		if(capt==0x5603) vitesse=67;
-		else if (capt==0x4203) vitesse=5;
+		else if (capt==0x4203) vitesse=35;
         else if (capt==0x5202) vitesse=30;
-        else if (capt==0x7601) vitesse=30;
-        else if (capt==0x5604) vitesse=5; 
-		else if(pos<1100) vitesse=25;
-		else vitesse=1;
+        else if (capt==0x7601) vitesse=25;
+        else if (capt==0x5604) vitesse=15; 
+		else if(pos<1100) vitesse=35;
+		else vitesse=10;
 		break;
 		}
 		