Index: branch/daval/Emb_App.tws
===================================================================
--- branch/daval/Emb_App.tws	(revision 540)
+++ branch/daval/Emb_App.tws	(revision 541)
@@ -25,8 +25,8 @@
 "E:\tp_info6_2018_daval\Emb_App\Debug\sys_rom.inc" 125 125 1430 351 0 11 
 "E:\tp_info6_2018_daval\Emb_App\conf_noyau.cfg" 0 0 1430 351 0 7 
 "E:\tp_info6_2018_daval\Emb_App\crt0mr.a30" 0 0 1596 539 0 1 
-"E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
-"E:\tp_info6_2018_daval\bsp\lcd.c" 0 0 1596 539 0 9 
+"E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
+"E:\tp_info6_2018_daval\bsp\lcd.c" -8 -30 1596 539 1 9 
 "E:\tp_info6_2018_daval\bsp\lcd.h" 100 100 1430 351 0 10 
 "E:\tp_info6_2018_daval\bsp\mli.c" 125 125 1430 351 0 5 
 "E:\tp_info6_2018_daval\bsp\periph.c" 50 50 1430 351 0 2 
Index: branch/daval/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/daval/Emb_App/SessionM32C_E8a_system.hsf	(revision 540)
+++ branch/daval/Emb_App/SessionM32C_E8a_system.hsf	(revision 541)
@@ -196,7 +196,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey1" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000258" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -203,13 +203,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF007E" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2D3C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001380" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000008AC" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -224,12 +224,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FF2C79" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000001386" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -397,15 +397,15 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_2018_daval\bsp\lcd.c" 
+"E:\tp_info6_2018_daval\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_daval\Emb_App\programme_principal_etud.c" 
-"E:\tp_info6_2018_daval\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_daval\bsp\periph.c" 
+"E:\tp_info6_2018_daval\bsp\uart0.c" 
 "E:\tp_info6_2018_daval\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_2018_daval\bsp\lcd.c" 
 "E:\tp_info6_2018_daval\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_2018_daval\Emb_App\Debug\sys_rom.inc" 
-"E:\tp_info6_2018_daval\bsp\periph.c" 
 "E:\tp_info6_2018_daval\bsp\lcd.h" 
-"E:\tp_info6_2018_daval\bsp\uart0.c" 
 "E:\tp_info6_2018_daval\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_2018_daval\bsp\radiocommande.c" 
 "E:\tp_info6_2018_daval\bsp\mli.c" 
@@ -455,5 +455,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 76163416 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 92350808 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]